HMWKParserInternal::State Struct Reference

Internal: the state of a HMWKParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

long | m_zonesListBegin
| the list of zone begin More...
std::multimap< long, shared_ptr< HMWKZone > > | m_zonesMap
| a map of entry: zoneId->zone More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a HMWKParser.

## Constructor & Destructor Documentation

HMWKParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int HMWKParserInternal::State::m_actPage

the actual page

int HMWKParserInternal::State::m_footerHeight

the footer height if known

int HMWKParserInternal::State::m_headerHeight

the header height if known

int HMWKParserInternal::State::m_numPages

the number of page of the final document

long HMWKParserInternal::State::m_zonesListBegin

the list of zone begin

std::multimap<long,shared_ptr<HMWKZone> > HMWKParserInternal::State::m_zonesMap

a map of entry: zoneId->zone

The documentation for this struct was generated from the following file:

- HMWKParser.cxx